# Name

HPL_recv Receive a message.

# Synopsis

`#include "hpl.h"`
`int` `HPL_recv(` `double *` `RBUF`, `int` `RCOUNT`, `int` `SRC`, `int` `RTAG`, `MPI_Comm` `COMM` `);`

# Description

HPL_recv is a simple wrapper around MPI_Recv. Its main purpose is to allow for some experimentation / tuning of this simple routine. Successful completion is indicated by the returned error code HPL_SUCCESS. In the case of messages of length less than or equal to zero, this function returns immediately.

# Arguments

    RBUF    (local output)                double *
            On entry, RBUF specifies the starting address of buffer to be
            received.

    RCOUNT  (local input)                 int
            On entry,  RCOUNT  specifies  the number  of double precision
            entries in RBUF. RCOUNT must be at least zero.

    SRC     (local input)                 int
            On entry, SRC  specifies the rank of the  sending  process in
            the communication space defined by COMM.

    RTAG    (local input)                 int
            On entry,  STAG specifies the message tag to be used for this
            communication operation.

    COMM    (local input)                 MPI_Comm
            The MPI communicator identifying the communication space.

# See Also

HPL_send, HPL_sdrv.